#include <iostream>
#include <vector>
#include <limits>

using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count{};
};

Input input_data() {
    size_t number_count;
    cin >> number_count;

    Input in;
    in.numbers.resize(number_count);

    for (size_t i = 0; i < number_count; i++) {
        cin >> in.numbers[i];
    }

    cin >> in.bin_count;

    return in;
}

void find_minmax(const vector<double>& numbers, double& min, double& max) {
    if (numbers.empty()) return;

    min = max = numbers[0];

    for (const double& number : numbers) {
        if (number < min) {
            min = number;
        }
        if (number > max) {
            max = number;
        }
    }
}

vector<size_t> make_histogram(const vector<double>& numbers, size_t bin_count) {
    double min, max;
    find_minmax(numbers, min, max);

    vector<size_t> bins(bin_count, 0);
    double bin_width = (max - min) / bin_count;

    for (const double& number : numbers) {
        if (number == max) {
            bins[bin_count - 1]++;
        } else {
            size_t bin_index = static_cast<size_t>((number - min) / bin_width);
            if (bin_index >= bin_count) {
                bin_index = bin_count - 1;
            }
            bins[bin_index]++;
        }
    }

    return bins;
}

void show_histogram_text(const vector<size_t>& bins) {
    for (size_t i = 0; i < bins.size(); i++) {
        cout << "Bin " << i << ": " << bins[i] << endl;
    }
}

int main() {
    auto in = input_data();
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_text(bins);

    return 0;
}
